Library Version 18.1.40

DB_ENV->get_mp_pagesize()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->get_mp_pagesize()

    #include <db.h>

    int
    DB_ENV->get_mp_pagesize(DB_ENV *dbenv, u_int32_t *pagesizep);

The `DB_ENV->get_mp_pagesize()` method returns the assumed page size used to configure the buffer pool.

The `DB_ENV->get_mp_pagesize()` method may be called at any time during the life of the application.

### Parameters

#### pagesizep

This parameter specifies the assumed page size used to configure the buffer pool.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->set_mp_pagesize()

Prev | Up | Next
DB_ENV->get_mp_mtxcount() | Home | DB_ENV->get_mp_tablesize()